Skip to main content
POST
Execute view function of a module
Execute the Move function with the given parameters and return its execution result. This method will use 50 Compute Units.

Query Parameters

ledger_version
string<uint64>

Ledger version to get state of account

If not provided, it will be the latest version A string containing a 64-bit unsigned integer.

We represent u64 values as a string to ensure compatibility with languages such as JavaScript that do not parse u64s in JSON natively.

Example:

"32425224034"

Body

application/json

View request for the Move View Function API

function
string
required

Entry function id is string representation of a entry function defined on-chain.

Format: {address}::{module name}::{function name}

Both module name and function name are case-sensitive.

Example:

"0x1::aptos_coin::transfer"

type_arguments
string[]
required

Type arguments of the function

String representation of an on-chain Move type tag that is exposed in transaction payload. Values: - bool - u8 - u16 - u32 - u64 - u128 - u256 - address - signer - vector: vector<{non-reference MoveTypeId}> - struct: {address}::{module_name}::{struct_name}::<{generic types}>

Pattern: ^(bool|u8|u64|u128|address|signer|vector<.+>|0x[0-9a-zA-Z:_<, >]+)$
arguments
any[]
required

Arguments of the function

Response